<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <table class="rf-dt">
        <thead class="rf-dt-thd">
        <tr class="rf-dt-shdr">
            <th class="rf-dt-shdr-c"><b>#{messages['net.ihe.gazelle.xdstar.Name']}</b>
            </th>
            <th class="rf-dt-shdr-c"><b>#{messages['net.ihe.gazelle.xdstar.Type']}</b>
            </th>
            <th class="rf-dt-shdr-c"><b>#{messages['net.ihe.gazelle.xdstar.Content']}</b>
            </th>
            <th class="rf-dt-shdr-c"><b>#{messages['net.ihe.gazelle.xdstar.Action']}</b>
            </th>
        </tr>
        </thead>
        <tbody class="rf-dt-b">
        <tr class="rf-dt-r rf-dt-fst-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.ValidatorName']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="validator_name_content" value="#{selectedRO.validatorName}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#validator_name_modalpanel_editor').modal('show');"
                            render="validatorNameForm,validator_name_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setValidatorName(null)}"
                                     render="validator_name_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Version']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="version_content" value="#{selectedRO.version}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#version_modalpanel_editor').modal('show');"
                            render="versionForm,version_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setVersion(null)}"
                                     render="version_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.TechnicalFrameworkReference']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="tf_content" value="#{selectedRO.technicalFramework}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#tf_modalpanel_editor').modal('show');"
                            render="tfForm,tf_modalpanel_editor">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setTechnicalFramework(null)}"
                                     render="tf_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Namespace']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="namespace_content" value="#{selectedRO.namespaceEnum}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#namespace_add').modal('show');"
                            render="namespaceForm,namespace_add">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setNamespaceEnum(null)}"
                                     render="namespace_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.ExtractNode']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="extract_node_content" value="#{selectedRO.extractNodeEnum}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#extract_node_add').modal('show');"
                            render="nodeForm,extract_node_add">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setExtractNodeEnum(null)}"
                                     render="extract_node_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>

                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.PackClass']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c ">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.PackClass_2']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block;" id="pack_class_content">
                    <a4j:repeat var="varr" value="#{selectedRO.listPackClass}">
                        <tr>
                            <td style="font-size: 11px">
                                <h:outputText
                                        value="#{varr.packClass}"/>
                            </td>
                            <td width="30px">
                                <h:panelGrid
                                        style="display:block; text-align:center;" columns="5">
                                    <a4j:commandLink
                                            action="#{selectedRO.listPackClass.remove(varr)}"
                                            render="pack_class_content">
                                        <span class="gzl-icon-trash-o"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </td>
                        </tr>
                    </a4j:repeat>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#pack_class_add').modal('show');"
                            render="packForm,pack_class_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.AdhocQueryMetadata']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.AdhocQueryMetadata_2']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block;" id="registry_object_metadata_content">
                    <a4j:repeat var="varr"
                                value="#{selectedRO.listRegistryObjectMetadata}">
                        <tr>
                            <td style="font-size: 11px">
                                <h:outputText
                                        value="#{varr.getDisplayAttributeName()}"/>
                            </td>
                            <td width="30px">
                                <h:panelGrid
                                        style="display:block; text-align:center;" columns="5">
                                    <a4j:commandLink
                                            action="#{selectedRO.listRegistryObjectMetadata.remove(varr)}"
                                            render="registry_object_metadata_content">
                                        <span class="gzl-icon-trash-o"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </td>
                        </tr>
                    </a4j:repeat>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#registry_object_metadata_add').modal('show');"
                            render="registryForm,registry_object_metadata_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>

        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.RegistryObjectListMetadata']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.RegistryObjectListMetadata_2']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="registry_object_list_metadata_content"
                        value="#{selectedRO.registryObjectListMetadata.displayAttributeName}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#registry_object_list_metadata_add').modal('show');"
                            render="registryObjectForm,registry_object_list_metadata_add">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink
                            action="#{selectedRO.setRegistryObjectListMetadata(null)}"
                            render="registry_object_list_metadata_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Usages']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.Usage']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block;" id="usages_content">
                    <a4j:repeat var="varr" value="#{selectedRO.usages}">
                        <tr>
                            <td style="font-size: 11px">
                                <h:outputText
                                        value="#{varr.affinity.keyword} =&gt; #{varr.transaction.keyword}"/>
                            </td>
                            <td width="30px">
                                <h:panelGrid
                                        style="display:block; text-align:center;" columns="5">
                                    <a4j:commandLink
                                            action="#{selectedRO.getUsages().remove(varr)}"
                                            render="usages_content">
                                        <span class="gzl-icon-trash-o"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </td>
                        </tr>
                    </a4j:repeat>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#usages_add').modal('show');"
                            render="usagesForm,usages_add">
                        <span class="gzl-icon-plus"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.HasNistValidation']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Boolean']}"/>
            </td>
            <td class="rf-dt-c" style="float: right;">
                <h:panelGroup
                        style="display:block;float:right;" id="has_nist_validation_content">
                    <s:decorate template="/layout/edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HasNistValidation']}</ui:define>
                        <h:selectBooleanCheckbox value="#{selectedRO.hasNistValidation}"/>
                    </s:decorate>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c"></td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.Metadatacodes']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.String']}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText
                        id="metadataCodes_content" value="#{selectedRO.metadataCodes.nistCodeName}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:center">
                    <a4j:commandLink
                            oncomplete="jq162('#metadataCodes_add').modal('show');"
                            render="metadataCodesForm,metadataCodes_add">
                        <span class="gzl-icon-pencil"/>
                    </a4j:commandLink>
                    <gdk:spacer height="5px"/>
                    <a4j:commandLink action="#{selectedRO.setMetadataCodes(null)}"
                                     render="metadataCodes_content">
                        <span class="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                </h:panelGroup>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.IsRegister']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Boolean']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block;float:right;" id="isR_content">
                    <s:decorate template="/layout/edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IsRegister']}</ui:define>
                        <h:selectBooleanCheckbox value="#{selectedRO.isR}"/>
                    </s:decorate>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c"></td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.IsPnR']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Boolean']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; float:right;" id="isPnR_content">
                    <s:decorate template="/layout/edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IsPnR']}</ui:define>
                        <h:selectBooleanCheckbox value="#{selectedRO.isPnR}"/>
                    </s:decorate>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c"></td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block;">
                    <b>#{messages['net.ihe.gazelle.xdstar.IsXca']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Boolean']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; float:right;" id="isXc_content">
                    <s:decorate template="/layout/edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IsXca']}</ui:define>
                        <h:selectBooleanCheckbox value="#{selectedRO.isXc}"/>
                    </s:decorate>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c"></td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block; text-align:left;">
                    <b>#{messages['net.ihe.gazelle.xdstar.IsXdr']}</b>
                    <br/>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Boolean']}"/>
            </td>
            <td class="rf-dt-c">
                <h:panelGroup
                        style="display:block;  float:right;" id="isXdr_content">
                    <s:decorate template="/layout/edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IsXdr']}</ui:define>
                        <h:selectBooleanCheckbox value="#{selectedRO.isXdr}"/>
                    </s:decorate>
                </h:panelGroup>
            </td>
            <td class="rf-dt-c"></td>
        </tr>
        </tbody>
    </table>
</ui:composition>
